/**
 * Created with IntelliJ IDEA
 *
 * @Author:mooma
 * @Date:2021-01-01
 * @Description:
 */
const path = require("path");
const fs = require('fs')

fs.readFile(path.join(__dirname, '../package.json'), (readFilePackageError, packages) => {
  if (readFilePackageError) {
    process.exit()
    return console.error("[打包通知]读取package.json错误:" + readFilePackageError)
  }
  let newVersion
  fs.readFile(path.join(__dirname, './version_log.json'), (readFileLogError, logs) => {
    if (readFileLogError) {
      process.exit()
      return console.error("[打包通知]读取开发日志发生错误:" + readFileLogError)
    }
    let logData = JSON.parse(logs)
    newVersion = logData.pop().version
    console.log('[打包通知]当前最新开发日志版本:V' + newVersion)

    let packagesConfig = JSON.parse(packages)
    packagesConfig.version = newVersion

    fs.writeFile(path.join(__dirname, '../package.json'), JSON.stringify(packagesConfig, "", "\t"), (err, result) => {
      if (err) {
        return console.error('[打包通知]package.json 重写失败', err)
      }
      process.exit()
      return console.log('[打包通知]package.json 版本更新成功')
    })

  })
})
