import request from '@/utils/request'


export default {
  //分页获取列表
  getApplicableModelsListPage(current, limit, modelsQuery) {
    return request({
      url: `/applicable-models/list/${current}/${limit}`,
      method: 'POST',
      data: modelsQuery
    })
  },
  //删除
  deleteApplicableModelsId(id) {
    return request({
      url: `/applicable-models/${id}`,
      method: 'DELETE'
    })
  },
  //添加
  addApplicableModels(models) {
    return request({
      url: `/applicable-models/add`,
      method: 'POST',
      data: models
    })
  },
  //根据id查询
  getApplicableModelsInfo(id) {
    return request({
      url: `/applicable-models/show/${id}`,
      method: 'POST'
    })
  },
  //修改
  updateApplicableModelsInfo(models) {
    return request({
      url: `/applicable-models/edit`,
      method: 'POST',
      data: models
    })
  },
}
