import request from '@/utils/request'

export default {
  //分页获取渠道列表
  getChannelListPage(current, limit, channelQuery) {
    return request({
      url: `/app/channel/${current}/${limit}`,
      method: 'POST',
      data: channelQuery
    })
  },
  //删除渠道
  deleteChannelId(id) {
    return request({
      url: `/app/delChannel/${id}`,
      method: 'POST'
    })
  },
  //添加渠道
  addChannel(channel) {
    return request({
      url: `/app/addChannel`,
      method: 'POST',
      data: channel
    })
  },
  //根据id查询渠道
  getChannelInfo(id) {
    return request({
      url: `/app/channelShow/${id}`,
      method: 'POST'
    })
  },
  //修改渠道
  updateChannelInfo(channel) {
    return request({
      url: `/app/editChannel`,
      method: 'POST',
      data: channel
    })
  },


}
