import request from '@/utils/request'

export function login(username, password, verCode = '') {
  let data={
    username,
    password,
    verCode
  }
  return request({
    url: '/admin/acl/login',
    method: 'POST',
    data: data
  })
}

export function getInfo(token) {
  return request({
    url: '/admin/acl/index/info',
    method: 'GET',
    params: {token}
  })
}

export function logout() {
  return request({
    url: '/admin/acl/index/logout',
    method: 'POST'
  })
}

export function getMenu() {
  return request({
    url: '/admin/acl/index/menu',
    method: 'GET'
  })
}
