import request from '@/utils/request'

export default {
  //分页获取消息公告列表
  getNotifyListPage(current, limit, messageQuery) {
    return request({
      url: `/message/pageMessageBoard/${current}/${limit}`,
      method: 'POST',
      data: messageQuery
    })
  },
  //删除消息公告
  deleteNotifyId(id) {
    return request({
      url: `/message/${id}`,
      method: 'DELETE'
    })
  },
  //添加消息公告
  addNotify(message) {
    return request({
      url: `/message/addMessageBoard`,
      method: 'POST',
      data: message
    })
  },
  //根据id查询消息公告
  getNotifyInfo(id) {
    return request({
      url: `/message/getMessageBoard/${id}`,
      method: 'GET'
    })
  },
  //修改消息公告
  updateNotifyInfo(message) {
    return request({
      url: `/message/updateMessageBoard`,
      method: 'POST',
      data: message
    })
  },
  //上下架消息公告
  updateNotifyStatus(id) {
    return request({
      url: `/message/updateStatusById/${id}`,
      method: 'GET'
    })
  },


}
