import request from '@/utils/request'

export default {
  //分页获取用户列表
  getSportRecordListPage(current, limit, sportQuery) {
    return request({
      url: `/sport/pageSportRecord/${current}/${limit}`,
      method: 'POST',
      data: sportQuery
    })
  },

  //导出运动记录
  exportSportRecord(sportQuery) {
    return request({
      url: `/sport/exportSportRecord/`,
      method: 'POST',
      data: sportQuery,
      responseType : "blob",
    })
  },
  //删除用户
  deleteSportRecordId(id) {
    return request({
      url: `/sport/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询用户
  getSportRecordInfo(id) {
    return request({
      url: `/sport/getSportRecord/${id}`,
      method: 'GET'
    })
  },

}
